QXmppStreamFeatures Class Reference

The QXmppStreamFeatures class represents the features returned by an XMPP server or client. More...

`#include <QXmppStreamFeatures.h>`

Inheritance diagram for QXmppStreamFeatures:
[legend]
Collaboration diagram for QXmppStreamFeatures:
[legend]

## Public Types

enum | Mode { Disabled = 0 , Enabled , Required }

## Public Member Functions

| QXmppStreamFeatures (const QXmppStreamFeatures &)
QXmppStreamFeatures & | operator= (const QXmppStreamFeatures &)
Mode | bindMode () const
void | setBindMode (Mode mode)
Mode | sessionMode () const
void | setSessionMode (Mode mode)
Mode | nonSaslAuthMode () const
void | setNonSaslAuthMode (Mode mode)
QStringList | authMechanisms () const
void | setAuthMechanisms (const QStringList &mechanisms)
QStringList | compressionMethods () const
void | setCompressionMethods (const QStringList &methods)
Mode | tlsMode () const
void | setTlsMode (Mode mode)
Mode | streamManagementMode () const
void | setStreamManagementMode (Mode mode)
Mode | clientStateIndicationMode () const
void | setClientStateIndicationMode (Mode mode)
Mode | registerMode () const
void | setRegisterMode (const Mode &registerMode)
bool | preApprovedSubscriptionsSupported () const
void | setPreApprovedSubscriptionsSupported (bool)
bool | rosterVersioningSupported () const
void | setRosterVersioningSupported (bool)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
virtual bool | isXmppStanza () const

## Static Public Member Functions

static bool | isStreamFeatures (const QDomElement &element)

## Detailed Description

The QXmppStreamFeatures class represents the features returned by an XMPP server or client.

## Member Function Documentation

## clientStateIndicationMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::clientStateIndicationMode | ( |  | ) | const

Returns the mode for XEP-0352: Client State Indication

Since
  QXmpp 1.0

## preApprovedSubscriptionsSupported()

bool QXmppStreamFeatures::preApprovedSubscriptionsSupported | ( |  | ) | const

Returns whether usage of Pre-Approved roster subscriptions is supported.

Since
  QXmpp 1.3

## registerMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::registerMode | ( |  | ) | const

Returns the mode for XEP-0077: In-Band Registration

Since
  QXmpp 1.1

## rosterVersioningSupported()

bool QXmppStreamFeatures::rosterVersioningSupported | ( |  | ) | const

Returns whether roster versioning from RFC6121 is supported.

Since
  QXmpp 1.3

## setClientStateIndicationMode()

void QXmppStreamFeatures::setClientStateIndicationMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets the mode for XEP-0352: Client State Indication

Parameters

  mode | The mode to set.

Since
  QXmpp 1.0

## setPreApprovedSubscriptionsSupported()

void QXmppStreamFeatures::setPreApprovedSubscriptionsSupported | ( | bool | supported | ) |

Sets whether usage of Pre-Approved roster subscriptions is supported.

Since
  QXmpp 1.3

## setRegisterMode()

void QXmppStreamFeatures::setRegisterMode | ( | const Mode & | registerMode | ) |

Sets the mode for XEP-0077: In-Band Registration

Parameters

  mode | The mode to set.

Since
  QXmpp 1.1

## setRosterVersioningSupported()

void QXmppStreamFeatures::setRosterVersioningSupported | ( | bool | supported | ) |

Sets whether roster versioning from RFC6121 is supported.

Since
  QXmpp 1.3

## setStreamManagementMode()

void QXmppStreamFeatures::setStreamManagementMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets the mode for XEP-0198: Stream Management

Parameters

  mode | The mode to set.

Since
  QXmpp 1.0

## streamManagementMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::streamManagementMode | ( |  | ) | const

Returns the mode (disabled, enabled or required) for XEP-0198: Stream Management

Since
  QXmpp 1.0

The documentation for this class was generated from the following files:

- QXmppStreamFeatures.h
- QXmppStreamFeatures.cpp